discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Nonfragile ABI libobjC flags for cmake


From: David Chisnall
Subject: Re: Nonfragile ABI libobjC flags for cmake
Date: Mon, 23 Mar 2015 14:35:09 +0000

On 23 Mar 2015, at 14:30, Jacek Wisniowski <address@hidden> wrote:
> 
> Here is a short compiler dump:
> [ 48%] Building CXX object Test/CMakeFiles/BlockTest_arc.dir/BlockTest_arc.m.o
> clang: warning: argument unused during compilation: 
> '-fobjc-runtime=gnustep-1.7'
> error: -fobjc-arc is not supported with fragile abi
> Test/CMakeFiles/BlockTest_arc.dir/build.make:54: recipe for target 
> 'Test/CMakeFiles/BlockTest_arc.dir/BlockTest_arc.m.o‘ failed

This is odd - -fobjc-runtime=gnustep-1.7 ought to default to the non-fragile 
ABI.  Please can you run make VERBOSE=1 and tell me exactly what the command 
that it's producing is?

David

P.S. It would also help to know what OS you're using...


reply via email to

[Prev in Thread] Current Thread [Next in Thread]